Bug 201319 - eaccelerator_put and other SHM functions have gone
eaccelerator_put and other SHM functions have gone
Product: Fedora
Classification: Fedora
Component: php-eaccelerator (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-08-04 07:17 EDT by Thomas Schwanhäuser
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-24 08:05:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Schwanhäuser 2006-08-04 07:17:11 EDT
Description of problem:

with the new release, functions like eaccelerator_put are not available 
anymore. This causes problems for sites which used those functions before and 
now would have to compile on their own, which would make maintenance of a 
server farm difficult.

Reason: eaccelerator_put and other functions are only available with a compile 
option in the newest eaccelerator version

Suggestion: Could you please create another package, like php-
eacceleratorWithSHM, which than can be used by all sites which explicitly need 
those features. By this, backward compatibility is ensured.
Comment 1 Matthias Saou 2006-08-22 08:41:49 EDT
An updated package of eA 0.9.5-rc1 with shared-memory, sessions and
content-caching enabled has been rebuilt for FC development (PHP 5.1.4). If it
works fine, I'll backport it to FC-5. Thanks for the report.
Comment 2 Matthias Saou 2006-08-24 08:05:46 EDT
An FC5 package hass just been built and will be available with the next push.
Please report any problems you might have with it.

Note You need to log in before you can comment on or make changes to this bug.